package jp.atwiki.www26.memotech;


import org.apache.wicket.Request;
import org.apache.wicket.Response;
import org.apache.wicket.protocol.http.WebApplication;
import org.wicketstuff.javaee.injection.JavaEEComponentInjector;

/**
 * Application object for your web application. If you want to run this application without deploying, run the Start class.
 * 
 * @see wicket.myproject.Start#main(String[])
 */
public class WicketApplication extends WebApplication {    
    /**
     * Constructor
     */
	public WicketApplication(){
	}
	
	/**
	 * @see wicket.Application#getHomePage()
	 */
	public Class getHomePage(){
		return HomePage.class;
	}
	
	@Override
	protected void init() {
		
		addComponentInstantiationListener(new JavaEEComponentInjector(this));
		
	    //テンプレートエンコーディングの設定
	    getMarkupSettings().setDefaultMarkupEncoding("Shift_JIS");

	    //レスポンスのエンコーディング設定
	    getRequestCycleSettings().setResponseRequestEncoding("UTF-8");
	    
	   
	     

	}
	
	@Override
	public AppSession newSession(Request request, Response response) {
		return new AppSession(request);
	}

}
